Showcases

Create a showcase

POST
/showcases

Publishes a landing page at https://ez-qr.com/s/{slug} for one of your QR codes.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key from Settings → API keys, sent as Authorization: Bearer ezqr_…. Requires the Max plan.

Request Body

application/json
  1. body
qrCodeId*string
Formatuuid
title*string
Length1 <= length
description?string|null
slug?string

Generated when left out

template?ShowcaseTemplate
Value in"minimal""modern""bold""professional""dark"
customColors?|null
customBackgroundUrl?|
Formaturi
logoUrl?string|null
socialLinks?array<>|null
ctaButtons?array<>|null
showBranding?boolean

Response Body

The created showcase

application/json
  1. response
data*
curl -X POST 'https://ez-qr.com/api/v1/showcases' \  -H 'Content-Type: application/json' \  -d '{  "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",  "title": "string"}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",    "title": "string",    "description": "string",    "slug": "string",    "template": "minimal",    "showBranding": true,    "isActive": true,    "viewCount": 0,    "downloadCount": 0,    "createdAt": "2019-08-24T14:15:22Z"  }}